"{ Package: 'stx:goodies/sunit' }"

LibraryDefinition subclass:#stx_goodies_sunit
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects *'
!


!stx_goodies_sunit class methodsFor:'description'!

preRequisites
    ^ #(
        #'stx:libbasic'
        #'stx:libtool'
        #'stx:libview'
        #'stx:libview2'
    )
! !

!stx_goodies_sunit class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
        "<className> or (<className> attributes...) in load order"
        (ExampleSetTest #autoload)
        (ExampleTestResource #autoload)
        (ResumableTestFailureTestCase #autoload)
        SUnitDelay
        SUnitNameResolver
        (SimpleTestResourceTestCase #autoload)
        TestCase
        TestFailure
        TestResource
        TestResult
        TestRunner
        TestSuite
        (TestSuitesHierarchyScriptTest #autoload)
        (TestSuitesScriptTest #autoload)
        TestSuitesScripter
        #'stx_goodies_sunit'
        ResumableTestFailure
        (SUnitTest #autoload)
    )

    "Modified: / 16-10-2006 / 12:28:55 / cg"
!

extensionMethodNames
    ^ #(
    )
! !

!stx_goodies_sunit class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Class library'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2006\nCopyright eXept Software AG 1998-2006'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_goodies_sunit class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/sunit/stx_goodies_sunit.st,v 1.3 2006-10-16 10:29:07 cg Exp $'
! !
